Index: uspace/lib/c/include/ipc/tl.h
===================================================================
--- uspace/lib/c/include/ipc/tl.h	(revision 8e3a65c6853b2023152999f5d7822941b153f9b7)
+++ uspace/lib/c/include/ipc/tl.h	(revision 8e3a65c6853b2023152999f5d7822941b153f9b7)
@@ -0,0 +1,55 @@
+/*
+ * Copyright (c) 2009 Lukas Mejdrech
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+/** @addtogroup libc
+ * @{
+ */
+
+/** @file
+ * Transport layer modules messages.
+ * @see tl_interface.h
+ */
+
+#ifndef LIBC_TL_MESSAGES_H_
+#define LIBC_TL_MESSAGES_H_
+
+#include <ipc/ipc.h>
+#include <ipc/net.h>
+
+/** Transport layer modules messages. */
+typedef enum {
+	/** Packet received message.
+	 * @see tl_received_msg()
+	 */
+	NET_TL_RECEIVED = NET_TL_FIRST
+} tl_messages;
+
+#endif
+
+/** @}
+ */
Index: uspace/lib/net/include/tl_interface.h
===================================================================
--- uspace/lib/net/include/tl_interface.h	(revision f5a34791cdbb90f8f4348da69808cc7f01b94288)
+++ uspace/lib/net/include/tl_interface.h	(revision 8e3a65c6853b2023152999f5d7822941b153f9b7)
@@ -40,4 +40,5 @@
 #include <async.h>
 #include <ipc/services.h>
+#include <ipc/tl.h>
 
 #include <generic.h>
@@ -45,5 +46,4 @@
 #include <net/packet.h>
 #include <packet_client.h>
-#include <tl_messages.h>
 
 /** @name Transport layer module interface
Index: pace/lib/net/include/tl_messages.h
===================================================================
--- uspace/lib/net/include/tl_messages.h	(revision f5a34791cdbb90f8f4348da69808cc7f01b94288)
+++ 	(revision )
@@ -1,56 +1,0 @@
-/*
- * Copyright (c) 2009 Lukas Mejdrech
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-/** @addtogroup net_tl
- *  @{
- */
-
-/** @file
- *  Transport layer modules messages.
- *  @see tl_interface.h
- */
-
-#ifndef __NET_TL_MESSAGES_H__
-#define __NET_TL_MESSAGES_H__
-
-#include <ipc/ipc.h>
-#include <ipc/net.h>
-
-/** Transport layer modules messages.
- */
-typedef enum{
-	/** Packet received message.
-	 *  @see tl_received_msg()
-	 */
-	NET_TL_RECEIVED = NET_TL_FIRST
-} tl_messages;
-
-#endif
-
-/** @}
- */
Index: uspace/srv/net/tl/icmp/icmp.c
===================================================================
--- uspace/srv/net/tl/icmp/icmp.c	(revision f5a34791cdbb90f8f4348da69808cc7f01b94288)
+++ uspace/srv/net/tl/icmp/icmp.c	(revision 8e3a65c6853b2023152999f5d7822941b153f9b7)
@@ -45,4 +45,5 @@
 #include <ipc/services.h>
 #include <ipc/net.h>
+#include <ipc/tl.h>
 #include <ipc/icmp.h>
 #include <sys/time.h>
@@ -69,5 +70,4 @@
 #include <ip_interface.h>
 #include <net_interface.h>
-#include <tl_messages.h>
 #include <tl_interface.h>
 #include <tl_local.h>
Index: uspace/srv/net/tl/tcp/tcp.c
===================================================================
--- uspace/srv/net/tl/tcp/tcp.c	(revision f5a34791cdbb90f8f4348da69808cc7f01b94288)
+++ uspace/srv/net/tl/tcp/tcp.c	(revision 8e3a65c6853b2023152999f5d7822941b153f9b7)
@@ -48,4 +48,5 @@
 #include <ipc/services.h>
 #include <ipc/net.h>
+#include <ipc/tl.h>
 #include <ipc/socket.h>
 
@@ -68,5 +69,4 @@
 #include <socket_core.h>
 #include <tl_common.h>
-#include <tl_messages.h>
 #include <tl_local.h>
 #include <tl_interface.h>
Index: uspace/srv/net/tl/udp/udp.c
===================================================================
--- uspace/srv/net/tl/udp/udp.c	(revision f5a34791cdbb90f8f4348da69808cc7f01b94288)
+++ uspace/srv/net/tl/udp/udp.c	(revision 8e3a65c6853b2023152999f5d7822941b153f9b7)
@@ -43,4 +43,5 @@
 #include <ipc/services.h>
 #include <ipc/net.h>
+#include <ipc/tl.h>
 #include <ipc/socket.h>
 #include <errno.h>
@@ -67,5 +68,4 @@
 #include <tl_local.h>
 #include <tl_interface.h>
-#include <tl_messages.h>
 
 #include "udp.h"
